## umlet 10.2

=== debian/changelog ===
umlet (10.2-1) unstable; urgency=low

  * New upstream release (Closes: #542445)
  - supports zooming
  - in-app Mail feature 
  * changed source format to 3.0 (quilt)
  * depend on libjlibeps-java now instead of including libepsgraphics

 -- Benjamin Mesing <bensmail@gmx.net>  Sun, 20 Dec 2009 12:47:03 +0100

umlet (9.1-1) unstable; urgency=low

  * Initial release (Closes: #398093)

 -- Benjamin Mesing <bensmail@gmx.net>  Sun, 17 May 2009 18:12:49 +0200
