=== debian/control ===
Source: umlet
Section: devel
Priority: extra
Maintainer: Benjamin Mesing <bensmail@gmx.net>
Build-Depends: debhelper (>= 5), fastjar, openjdk-6-jdk, libbatik-java, fop, libavalon-framework-java, libxerces2-java, libjlibeps-java, libgnumail-java, libitext-java
Standards-Version: 3.8.3

Package: umlet
Architecture: all
Depends: openjdk-6-jre, openjdk-6-jdk, libbatik-java, fop, libavalon-framework-java, libxerces2-java, libjlibeps-java, libgnumail-java, libitext-java, ${misc:Depends}
Description: simple, text driven UML drawing tool
 UMLet is a UML tool aimed at providing a fast way of drawing 
 UML diagrams. UML elements are modified using text input instead 
 of pop-up dialogs. Elements can be modified and used as 
 templates; this way, users can easily tailor UMLet to their 
 modeling needs. UMLet supports a variety of UML diagram types: 
 class diagrams, use case diagrams, sequence diagrams, state 
 diagrams, deployment diagrams, activity diagrams, etc.
 .
 UMLet can only be used for drawing UML diagrams, it does not
 support code export or the XMI format. UMLet allows to export
 diagrams as images or PDF.
Homepage: http://umlet.com/
