## umlet 10.4

=== debian/changelog ===
umlet (10.4-1) unstable; urgency=low

  * New upstream release

 -- Benjamin Mesing <bensmail@gmx.net>  Sat, 24 Apr 2010 12:25:35 +0200
