=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: devel
 Priority: extra
 Maintainer: Benjamin Mesing <bensmail@gmx.net>
-Build-Depends: debhelper (>= 5), fastjar, openjdk-6-jdk, libbatik-java, fop, libavalon-framework-java, libxerces2-java, libjlibeps-java, libgnumail-java, libitext-java
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 5), fastjar, openjdk-6-jdk, libbatik-java, fop, libavalon-framework-java, libxerces2-java, libjlibeps-java, libgnumail-java, libitext-java, liblog4j1.2-java, libecj-java
+Standards-Version: 3.8.4
 
 Package: umlet
 Architecture: all
-Depends: openjdk-6-jre, openjdk-6-jdk, libbatik-java, fop, libavalon-framework-java, libxerces2-java, libjlibeps-java, libgnumail-java, libitext-java, ${misc:Depends}
+Depends: openjdk-6-jre, openjdk-6-jdk, libbatik-java, fop, libavalon-framework-java, libxerces2-java, libjlibeps-java, libgnumail-java, libitext-java, liblog4j1.2-java, libecj-java, ${misc:Depends} 
 Description: simple, text driven UML drawing tool
  UMLet is a UML tool aimed at providing a fast way of drawing 
  UML diagrams. UML elements are modified using text input instead
