=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

VERSION_STRING=10.2
VERSION_SHORT_STRING=10_2
CONTENT_DIR="UMLet"

#export DH_VERBOSE=1
get-orig-source:
	# wget http://www.umlet.com/umlet_$(VERSION_SHORT_STRING)/umlet_$(VERSION_SHORT_STRING).zip
	unzip umlet_$(VERSION_SHORT_STRING).zip
		cd $(CONTENT_DIR) ; \
		rm umlet.jar UMLet.exe ; \
		# remove jar files in lib \
		rm -rf lib; \
		cd ..
	mv $(CONTENT_DIR) umlet-$(VERSION_STRING).orig
	tar -c umlet-$(VERSION_STRING).orig | gzip --best > umlet_$(VERSION_STRING).orig.tar.gz
	rm -rf umlet-$(VERSION_STRING).orig
	
build: build-stamp
build-stamp:
	$(MAKE)

clean:
	rm -f build-stamp
	$(MAKE) clean
	dh_clean 

# install: build
# 	dh_clean
# 	dh_installdirs

binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install -XThumbs.db
	dh_installmenu
	dh_installman debian/umlet.1
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build
# We have nothing to do

binary: binary-indep binary-arch
.PHONY: build clean clean1 binary-indep binary-arch binary install orig get-orig-source
