=== debian/watch ===
 version=3
 
 http://www.umlet.com/changes.htm \
  umlet.*/umlet_(\d+)[_](\d+)?\.zip
