## umlet 12.1

=== debian/changelog ===
umlet (12.1-1) unstable; urgency=low

  * Updated to latest upstream version
  * Note that upstream zip file does not contain all required source
    instead part of it was fetched via svn 
  * - fixed patches for latest upstream
  * - changed maintainer e-mail adress
  * - fixed manifest to contain Bundle-Name and Bundle-Version
  * - merged patches from patch-queue - removed runScript from patches
  * - updated to new policy version

 -- Benjamin Mesing <ben@debian.org>  Tue, 01 Apr 2014 21:08:15 +0200
