=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: umlet
 Section: devel
 Priority: extra
-Maintainer: Benjamin Mesing <bensmail@gmx.net>
-Build-Depends: debhelper (>= 5), javahelper, fastjar, default-jdk, libbatik-java, fop, libavalon-framework-java, libxerces2-java, libjlibeps-java, libgnumail-java, libitext-java, liblog4j1.2-java, libecj-java, libjsyntaxpane-java
-Standards-Version: 3.9.2
+Maintainer: Benjamin Mesing <ben@debian.org>
+Build-Depends: debhelper (>= 5), javahelper, fastjar, default-jdk, libbatik-java, fop, libavalon-framework-java, libcommons-io-java, libxerces2-java, libjlibeps-java, libgnumail-java, libitext5-java, liblog4j1.2-java, libecj-java, libjsyntaxpane-java, librsyntaxtextarea-java, libautocomplete-java, libjsyntaxpane-java, libjavaparser-java
+Standards-Version: 3.9.5
 
 Package: umlet
 Architecture: all
