## umlet 13.3

=== debian/changelog ===
umlet (13.3-1) unstable; urgency=low

  * updated to latest upstream version
  * - removed dependency to java-wrapper, adapted package description
  * - use uscan for getting orig source, adapted watchfile to new source 
      location on github

 -- Benjamin Mesing <ben@debian.org>  Mon, 15 Jun 2015 23:20:11 +0200
