=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: extra
 Maintainer: Benjamin Mesing <ben@debian.org>
 Build-Depends: debhelper (>= 5), javahelper, fastjar, default-jdk, libbatik-java, fop, libavalon-framework-java, libcommons-io-java, libxerces2-java, libjlibeps-java, libgnumail-java, libitext5-java, liblog4j1.2-java, libecj-java, libjsyntaxpane-java, librsyntaxtextarea-java, libautocomplete-java, libjsyntaxpane-java, libjavaparser-java
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: umlet
 Architecture: all
-Depends: default-jdk | java6-sdk, jarwrapper, java-wrappers, ${misc:Depends}, ${java:Depends}
+Depends: default-jdk | java6-sdk, jarwrapper, ${misc:Depends}, ${java:Depends}
 Description: simple, text driven UML drawing tool
  UMLet is a UML tool aimed at providing a fast way of drawing 
  UML diagrams. UML elements are modified using text input instead
