=== debian/watch ===
version=3
 
https://github.com/umlet/umlet/releases \
	/umlet/umlet/archive/20.*UMLet_v([\d\.]*)\.tar\.gz debian jh_repack
