## umlet 15.1+ds

=== debian/changelog ===
umlet (15.1+ds-2) unstable; urgency=medium

  * Team upload
  * Raising Standards version to 4.7.2 (no change)
  * Omitting now useless creation of artificial jlibeps artifacts
    (Closes: #1117438)

 -- Pierre Gruet <pgt@debian.org>  Sun, 05 Oct 2025 21:01:04 +0200

umlet (15.1+ds-1) unstable; urgency=medium

  * Team upload.
    Closes: #1081593
  * Updating build dependencies
  * Building with Maven: filling in the list of pom.xml files and the Maven
    rules
  * Removing unreachable statements that are written by javacc at execution
  * Patching source files to build with javaparser 3.x
  * Rewriting d/rules for dh
  * Handling the call to javacc with a specific script
  * Providing pseudo-Maven artifacts for the build-dependency jlibeps
  * Writing the manifest of the jars in the package
  * Updating the list of files to install
  * Providing a shell script to invoke the jar, instead of going through
    jarwrapper
  * Updating doc-base file
  * Adding a Lintian override for empty jar
  * Updating the classpaths of the built jars
  * Updating the .desktop file
  * Checking that conversion in batch mode works
    Closes: #823634
  * Checking the program exits normally when called with a file
    Closes: #823635

  [ Andreas Tille ]
  * Maintain the package in Debian Java team
  * New upstream version
    Closes: #825264
  * Add Vcs fields
  * Fix watch file
  * Remove debian/README.source since the information is outdated
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
    Closes: #965851
  * Drop useless get-orig-source target (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * watch file standard 4 (routine-update)
  * Short dh
  * d/copyright: DEP5 to exclude windows exe and .git files which might
    disrupt import

 -- Pierre Gruet <pgt@debian.org>  Wed, 30 Oct 2024 20:48:57 +0100

umlet (13.3-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Invoke dh_strip_nondeterminism to make the package reproducible

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 10 Sep 2019 12:54:17 +0200

umlet (13.3-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Added the missing dependency on libbcel-java (Closes: #915890)
  * Fixed the inclusion of commons-io.jar in the classpath
  * Replaced the old Debian menu entry with a .desktop file.
    Thanks to Rui Maciel (Closes: #651478, #923390)
  * Fixed the misplaced Homepage field

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 15 Apr 2019 10:28:06 +0200

umlet (13.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Depend on libmail-java instead of libgnumail-java

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 23 May 2017 21:59:41 +0200
