=== debian/control ===
Source: umlet
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Benjamin Mesing <ben@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               javahelper,
               fastjar,
               default-jdk,
               libbatik-java,
               fop,
               junit4,
               libassertj-core-java,
               libavalon-framework-java,
               libcommons-io-java,
               libxerces2-java,
               libitext5-java,
               libjavacc-maven-plugin-java,
               libjlibeps-java,
               libmail-java,
               libmaven-dependency-plugin-java,
               libmaven-exec-plugin-java,
               libmockito-java,
               libitext5-java,
               liblog4j1.2-java,
               libecj-java,
               libjsyntaxpane-java,
               librhino-java,
               librsyntaxtextarea-java,
               libautocomplete-java,
               libjavaparser-java,
               libbcel-java,
               maven-debian-helper
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/java-team/umlet
Vcs-Git: https://salsa.debian.org/java-team/umlet.git
Homepage: https://umlet.com
Rules-Requires-Root: no

Package: umlet
Architecture: all
Depends: default-jre,
         ${misc:Depends},
         ${java:Depends}
Description: simple, text driven UML drawing tool
 UMLet is a UML tool aimed at providing a fast way of drawing
 UML diagrams. UML elements are modified using text input instead
 of pop-up dialogs. Elements can be modified and used as
 templates; this way, users can easily tailor UMLet to their
 modeling needs. UMLet supports a variety of UML diagram types:
 class diagrams, use case diagrams, sequence diagrams, state
 diagrams, deployment diagrams, activity diagrams, etc.
 .
 UMLet can only be used for drawing UML diagrams, it does not
 support code export or the XMI format. UMLet allows one to export
 diagrams as images or PDF.
