=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with javahelper

# Removing the Java code generated by javacc and put into the build tree
execute_before_dh_auto_clean:
	$(RM) -rf umlet-elements/src/main/java/com/baselet/element/sequence_aio/facet/specific
	$(RM) -rf umlet-elements/src/main/java/com/baselet/element/facet/customdrawings/gen
