=== debian/watch ===
version=4

opts="repacksuffix=+ds,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/umlet/umlet/tags (?:.*?/)?20.*UMLet_v([\d\.]*)\.tar\.gz
